Subject: Ticket Assigned - Click & Collect
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 30 Mar 2023 05:26:14 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Good day, I placed an order  1720830972 for collection from Max  Musact  City Centre on 19 March 2023 and I have not received an SMS for collection yet. I also called  customer services on 28 March 2023 but have not heard anything. Can you please advise on what the issue is with my order. Thank you. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5949003